Bug 89224 - [WK2][GTK] Complete implementation of AccessibilityController in WKTR for GTK
Summary: [WK2][GTK] Complete implementation of AccessibilityController in WKTR for GTK
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mario Sanchez Prada
URL:
Keywords: Gtk
Depends on: 89223
Blocks: 72588
  Show dependency treegraph
 
Reported: 2012-06-15 09:30 PDT by Mario Sanchez Prada
Modified: 2012-07-19 02:04 PDT (History)
2 users (show)

See Also:


Attachments
Patch proposal (16.62 KB, patch)
2012-06-15 10:05 PDT, Mario Sanchez Prada
no flags Details | Formatted Diff | Diff
Patch proposal (14.68 KB, patch)
2012-07-18 03:29 PDT, Mario Sanchez Prada
cfleizach: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mario Sanchez Prada 2012-06-15 09:30:11 PDT
In order to be able to unskip accessibility tests in WK2 like the following ones:

  platform/gtk/accessibility/aria-slider-required-attributes.html
  platform/gtk/accessibility/combo-box-collapsed-selection-changed.html

...we need to implement the following functions in WKTR's AccessibilityController for GTK:

  void AccessibilityController::logAccessibilityEvents()
  void AccessibilityController::resetToConsistentState()

This bug is for that.
Comment 1 Mario Sanchez Prada 2012-06-15 10:05:51 PDT
Created attachment 147844 [details]
Patch proposal
Comment 2 chris fleizach 2012-07-06 09:49:16 PDT
Comment on attachment 147844 [details]
Patch proposal

try to get patch to build again, i'll review
Comment 3 chris fleizach 2012-07-14 01:11:43 PDT
Comment on attachment 147844 [details]
Patch proposal

need to get building on the bots
Comment 4 Mario Sanchez Prada 2012-07-18 03:29:26 PDT
Created attachment 152977 [details]
Patch proposal

New patch now that patch for bug 89223 has been pushed
Comment 5 chris fleizach 2012-07-18 09:28:51 PDT
Comment on attachment 152977 [details]
Patch proposal

View in context: https://bugs.webkit.org/attachment.cgi?id=152977&action=review

looks ok

> Tools/WebKitTestRunner/InjectedBundle/gtk/AccessibilityControllerGtk.cpp:14
> + *     * Neither the name of Google Inc. nor the names of its

you probably don't need to include the Google copyright info
Comment 6 Mario Sanchez Prada 2012-07-19 02:04:23 PDT
Committed r123083: <http://trac.webkit.org/changeset/123083>